Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoString< fitnessT > Class Template Reference

Adaptor that turns an STL std::string into an EO. More...

`#include <eoString.h>`

Inheritance diagram for eoString< fitnessT >:

List of all members.

## Public Types
typedef char | Type
typedef char | AtomType
typedef std::string | ContainerType
## Public Member Functions
| eoString (const std::string &_str="")
| ctor
virtual void | printOn (std::ostream &os) const
| printing...
Methods from eoObject
readFrom and printOn are directly inherited from eo1d
virtual std::string | className () const
| Inherited from eoObject.

## Detailed Description

### template<class fitnessT>
class eoString< fitnessT >

Adaptor that turns an STL std::string into an EO.

Definition at line 42 of file eoString.h.

## Member Function Documentation

template<class fitnessT>
virtual std::string eoString< fitnessT >::className | ( | void |  | ) | const`[inline, virtual]`

| Inherited from eoObject. See also: eoObject Reimplemented from EO< fitnessT >. Definition at line 74 of file eoString.h.

The documentation for this class was generated from the following file:

- eoString.h